aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-11-06 23:30:33 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-11-06 23:30:33 +0000
commit14ae3b60299a0ba4087655bb5e305cf7590633d5 (patch)
tree6d6bebf7456d6c9a540558dbea0a8b93d4683069
parentd08c6fb7f38b5afda9ea4a8a06b0b4c39116f175 (diff)
downloadslackbuilds-14ae3b60299a0ba4087655bb5e305cf7590633d5.tar.gz
slackbuilds-14ae3b60299a0ba4087655bb5e305cf7590633d5.tar.bz2
ardour: turned to a build script
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@585 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xardour/ardour.SlackBuild96
-rwxr-xr-xardour/ardour.build116
-rwxr-xr-xpyrex/Pyrex.SlackBuild2
3 files changed, 123 insertions, 91 deletions
diff --git a/ardour/ardour.SlackBuild b/ardour/ardour.SlackBuild
index 5a2dd93a..d03efef8 100755
--- a/ardour/ardour.SlackBuild
+++ b/ardour/ardour.SlackBuild
@@ -1,7 +1,6 @@
#!/bin/bash
#
-# slackbuild script for ardour
-# by rhatto at riseup.net
+# SlackBuild script to call ardour.build with correct settings
#
if [ -s "slack-required" ]; then
@@ -28,102 +27,19 @@ fi
# default settings
PACKAGE="ardour"
-ARCH=${ARCH:=i486}
VERSION=${VERSION:=0.99.3}
+ARCH="${ARCH:=i486}"
BUILD=${BUILD:=1rha}
SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
-# ------- error codes for createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38 ERROR_GPP=39
-ERROR_PATCH=40
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="bz2"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://ardour.org/files/releases/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
-fi
-
-mkdir -p $TMP/package-$PACKAGE
-scons PREFIX=$TMP/package-$PACKAGE KSI=yes || exit $ERROR_CONF
-scons install || exit $ERROR_MAKE
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-ardour: ardour (Digital Audio Workstation)
-ardour:
-ardour: Ardour is a professional multitrack/multichannel audio recorder and
-ardour: DAW for Linux, using ALSA-supported audio interfaces. It supports
-ardour: up to 32 bit samples, 24+ channels at up to 96kHz, full MMC control,
-ardour: a non-destructive, non-linear editor, and LADSPA plugins.
-ardour:
-ardour:
-ardour:
-ardour:
-ardour:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-cp $CWD/COPYING usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS AUTHORS.es BUILD CONTRIBUTORS FAQ README TRANSLATORS; do
- cp $CWD/DOCUMENTATION/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
+ rm -rf $TMP/$PACKAGE
fi
diff --git a/ardour/ardour.build b/ardour/ardour.build
new file mode 100755
index 00000000..e299bb17
--- /dev/null
+++ b/ardour/ardour.build
@@ -0,0 +1,116 @@
+#!/bin/bash
+#
+# build script for ardour
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="ardour"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.99.3}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38 ERROR_GPP=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://ardour.org/files/releases/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+mkdir -p $TMP/package-$PACKAGE
+scons KSI=yes || exit $ERROR_MAKE
+scons install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ardour: ardour (Digital Audio Workstation)
+ardour:
+ardour: Ardour is a professional multitrack/multichannel audio recorder and
+ardour: DAW for Linux, using ALSA-supported audio interfaces. It supports
+ardour: up to 32 bit samples, 24+ channels at up to 96kHz, full MMC control,
+ardour: a non-destructive, non-linear editor, and LADSPA plugins.
+ardour:
+ardour:
+ardour:
+ardour:
+ardour:
+EOF
+
+# docs
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+cp $CWD/COPYING /usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS AUTHORS.es BUILD CONTRIBUTORS FAQ README TRANSLATORS; do
+ cp $CWD/DOCUMENTATION/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/pyrex/Pyrex.SlackBuild b/pyrex/Pyrex.SlackBuild
index 983bb506..4c1293dc 100755
--- a/pyrex/Pyrex.SlackBuild
+++ b/pyrex/Pyrex.SlackBuild
@@ -5,7 +5,7 @@
if [ -s "slack-required" ]; then
echo Recomended and required packages for building Pyrex are:
- cat Pyrex.slack-required | sed -e 's/^/\t/'
+ cat slack-required | sed -e 's/^/\t/'
if [ "$INTERACT" != "no" ]; then
echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
read crap